v.to.rast3(1)

NAME
v.to.rast3 - Converts a vector map (only points) into a 3D raster map.

KEYWORDS
vector, conversion, voxel

SYNOPSIS
v.to.rast3
v.to.rast3 --help
v.to.rast3 input=name [layer=string] output=name column=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

output=name [required]
    Name for output 3D raster map

column=name [required]
    Name of attribute column (data type must be numeric)

DESCRIPTION
v.to.rast3 converts a GRASS 3D vector point map to a GRASS 3D raster map.

NOTES
When converting from a 3D vector point layer to a 3D raster map a vector point is converted into a single 3D raster cell (voxel) representing the location of the vector point. As 3D raster cell value the database attribute of the vector point is stored with floating point precision.
This screenshot shows the result of the v.to.rast3 test. Visualized are the cube of the GRASS region, the vector points as black dots and the voxel cells as wireframe model. Only cells with non-null values are shown.

SEE ALSO
g.region

AUTHORS
Original s.to.rast3: Jaro Hofierka, Geomodel s.r.o.
Updated by Radim Blazek

SOURCE CODE

Available at: v.to.rast3 source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.2dev Reference Manual